
#ifndef _externs_h
#define _externs_h

extern void exit();
extern void XukcRegisterApplicationDefaults();
extern Display *XukcToolkitInitialize();

extern Display* initPEX(
#if NeedFunctionPrototypes
	Display*      		/* IN:	*argv[] */,
	PEXExtensionInfo**  /* OUT:	pexinfo */
#endif
);

extern void getVisual(
#if NeedFunctionPrototypes
    Display*        /* IN:  display */,
    XVisualInfo*    /* OUT: visual info */
#endif
);

extern void OwnSelection();

/* callback routines */
extern void finalQuit();
extern void makeRGB_Color();
extern void makeHSV_Color();
extern void makeCIE_Color();
extern void makeHLS_Color();

extern unsigned long AllocColor();

extern void createHSVWindow();
extern void createHLSWindow();
extern void createCIEWindow();

/* callback routines */
extern void Set_Selection();
extern void Quit();
extern void Thumbed();
extern void Scrolled();
extern void Load();
extern void Store();
extern void Update_HSV();
extern void Update_HLS();
extern void Update_CIE();

/* action routines */
extern void lock_toggle();
extern void border();
extern void update_triple();
extern void set_scroll();
extern void stop_scroll();
extern void move_scroll();

#endif /* _externs_h */

